#!/bin/sh
## alles was ich auf allen Rechnern dem Standard-Profile
## hinzuzufuegen habe

# Irgendwie wird immer LC_ALL gesetzt, aber ICH WILL DAS NICHT!!!
unset LC_ALL

EDITOR=vi

# Wenn ~/bin existiert, dann in Pfad einbeziehen
if [ "`id -u`" -ne 0 ]; then
   if [ -d ~/bin ] ; then
      if ! echo $PATH | grep -q ~/bin ; then
          export PATH=~/bin:"${PATH}"
      fi
   fi
   if ! echo $PATH | grep -q "\.:" ; then
       export PATH=".:${PATH}"
   fi
fi

if [ "$BASH" ]; then
  PS1="\h:\w> "
else
  if [ "`id -u`" -eq 0 ]; then
    PS1='# '
  else
    PS1='$ '
  fi
fi

PAGER=less

export EDITOR PATH PAGER
if [ `whoami` = postgres ] ; then
  export PS1="postgres:\w+ "
  return
fi

export PS1

# ulimit -c unlimited
  
if [ "$TERM" = "" -o "$TERM" = "unknown" ]; then
  TERM=linux
elif [ "$TERM" = "dec-vt220" ]; then
  TERM=vt220
fi
export TERM

if [ -f /etc/language ]; then . /etc/language; fi
if [ -f /etc/bashrc   ]; then . /etc/bashrc; fi

#  Piepston dumpfer machen
# setterm -bfreq 100

# Wenn doch mal ein CLASSPATH gesetzt werden muss, muss JAVA_CLASSES dazu
export JAVA_CLASSES="/usr/lib/jdk1.1/lib/classes.zip"

# mc merkt sich Pfad beim Verlassen (siehe man mc)
#mc ()
#{
#    MC=/tmp/mc$$-"$RANDOM"
#    /usr/bin/mc -P "$@" > "$MC"
#    cd `cat "$MC"`
#    rm "$MC"
#    unset MC;
#}
#
## laut manpage von mc 4.6.0
# . /usr/share/mc/bin/mc.sh
## funktioniert aber nicht.
## probiere ...
alias mc='. /usr/share/mc/bin/mc-wrapper.sh'

# Wenn man mal englische Manpages lesen moechte
alias men='LC_ALL=en_EN man'

# Bitte CapsLock deaktivieren 
# Caps_Lock wird in xorg.conf per
#           Option          "XkbOptions"    "compose:caps"
# zu Compose umdefiniert
# xmodmap -e "remove lock = Caps_Lock"

# siehe /usr/share/doc/mc/README.Debian
export HISTCONTROL=ignoreboth

# Ignoriere externe Repositories
## alias svn='svn --ignore-externals'

# 0msek = piepsen
# setterm -blength 0
# lieber blinken
# setterm -blink on

#  Piepston noch dumpfer und kürzer machen
# setterm -bfreq 50
# setterm -blength 50
